import { request } from '@/utils/request'

export function listSubOrder(query) {
  return request({
    url: '/order/subOrder/list',
    method: 'get',
    params: query
  })
}

export function getSubOrderInfo(id) {
  return request({
    url: '/order/subOrder/getInfo',
    method: 'get',
    params: { id }
  })
}

export function dispatchSubOrder(data) {
  return request({
    url: '/order/subOrder/dispatch',
    method: 'put',
    data: data
  })
}

export function cancelSubOrder(data) {
  return request({
    url: '/order/subOrder/cancel',
    method: 'put',
    data: data
  })
}

export function remarkSubOrder(data) {
  return request({
    url: '/order/subOrder/remark',
    method: 'put',
    data: data
  })
}

export function confirmSubOrder(data) {
  return request({
    url: '/order/subOrder/confirm',
    method: 'put',
    data: data
  })
}

export function nursingSummarySubOrder(data) {
  return request({
    url: '/order/subOrder/nursingSummary',
    method: 'put',
    data: data
  })
}

export function listOnFeeStatistic(query) {
  return request({
    url: '/order/subOrder/listOnFeeStatistic',
    method: 'get',
    params: query
  })
}
